gr::ieee802_15_4::zeropadding_removal_b_impl Class Reference

`#include <zeropadding_removal_b_impl.h>`

Inheritance diagram for gr::ieee802_15_4::zeropadding_removal_b_impl:
[legend]

## Public Member Functions

| zeropadding_removal_b_impl (int phr_payload_len, int nzeros)
| ~zeropadding_removal_b_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::zeropadding_removal_b
typedef boost::shared_ptr< zeropadding_removal_b > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::zeropadding_removal_b
static sptr | make (int phr_payload_len, int nzeros)
| Return a shared_ptr to a new instance of ieee802_15_4::zeropadding_removal_b. More...

## Constructor & Destructor Documentation

## zeropadding_removal_b_impl()

gr::ieee802_15_4::zeropadding_removal_b_impl::zeropadding_removal_b_impl | ( | int | phr_payload_len,
|  | int | nzeros
| ) |  |

## ~zeropadding_removal_b_impl()

gr::ieee802_15_4::zeropadding_removal_b_impl::~zeropadding_removal_b_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::ieee802_15_4::zeropadding_removal_b_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- zeropadding_removal_b_impl.h